kubernetes kube-apiserver 存在SSRF漏洞

来源: 投稿
2022-09-19 14:04:00

漏洞描述

kube-apiserver 是Kubernetes 的核心组件之一,kube-apiserver 主要提供集群管理的 REST API 接口和其他模块之间的数据交互和通信的枢纽。

kube-apiserver 的受影响版本中存在SSRF漏洞,漏洞源于其允许聚合API 服务器将客户端流量重定向到任何 URL,进而将客户端的 API服务器凭据转发给第三方。

攻击者可利用该漏洞进行内网扫描甚至访问内部系统数据。

漏洞名称 kubernetes kube-apiserver 存在SSRF漏洞
漏洞类型 SSRF
发现时间 2022/9/17
漏洞影响广度 广
MPS编号 MPS-2022-56496
CVE编号 CVE-2022-3172
CNVD编号 -

影响范围

k8s.io/kubernetes/cmd/kube-apiserver@[1.25.0, 1.25.1)

k8s.io/kubernetes/cmd/kube-apiserver@(-∞, 1.21.15)

k8s.io/kubernetes/cmd/kube-apiserver@[1.22.0, 1.22.14)

k8s.io/kubernetes/cmd/kube-apiserver@[1.23.0, 1.23.11)

k8s.io/kubernetes/cmd/kube-apiserver@[1.24.0, 1.24.5)

修复方案

升级k8s.io/kubernetes/cmd/kube-apiserver到 1.21.15 或 1.22.14 或 1.23.11 或 1.24.5 或 1.25.1 或更高版本

参考链接

https://www.oscs1024.com/hd/MPS-2022-56496

https://seclists.org/oss-sec/2022/q3/207

https://nvd.nist.gov/vuln/detail/CVE-2022-3172

https://github.com/kubernetes/kubernetes/issues/112513

    

情报订阅

OSCS(开源软件供应链安全社区)通过最快、最全的方式,发布开源项目最新的安全风险动态,包括开源组件安全漏洞、事件等信息。同时提供漏洞、投毒情报的免费订阅服务,社区用户可通过配置飞书、钉钉、企业微信机器人,及时获得一手情报信息推送:

https://www.oscs1024.com/?src=osc

具体订阅方式详见:

https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

展开阅读全文
0 收藏
分享
2 评论
0 收藏
分享
返回顶部
顶部